| Irrlicht 3D Engine |

Classes | Namespaces | Enumerations
IAnimatedMeshSceneNode.h File Reference
`#include "ISceneNode.h"`
`#include "IBoneSceneNode.h"`
`#include "IAnimatedMeshMD2.h"`
`#include "IAnimatedMeshMD3.h"`

Go to the source code of this file.

## Classes

- class irr::scene::IAnimatedMeshSceneNode
    Scene node capable of displaying an animated mesh and its shadow. More...
- class irr::scene::IAnimationEndCallBack
    Callback interface for catching events of ended animations. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::scene

    All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...

## Enumerations

- enum irr::scene::E_JOINT_UPDATE_ON_RENDER { irr::scene::EJUOR_NONE = 0, irr::scene::EJUOR_READ, irr::scene::EJUOR_CONTROL }